Bug 798079 - Review Request: validns - DNS and DNSSEC zone file validator
Summary: Review Request: validns - DNS and DNSSEC zone file validator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mattia Verga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-28 01:38 UTC by Paul Wouters
Modified: 2012-04-12 05:58 UTC (History)
3 users (show)

Fixed In Version: validns-0.3-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-09 01:58:27 UTC
mattia.verga: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Wouters 2012-02-28 01:38:20 UTC
Spec URL: ftp://ftp.nohats.ca/dns/validns/validns.spec
SRPM URL: ftp://ftp.nohats.ca/dns/validns/validns-0.3-1.fc16.src.rpm
Description:  DNS and DNSSEC zone file validator. It comes with no man page and no useful README or information, but it's a nice tool anyway :)

Comment 1 Paul Wouters 2012-02-28 05:11:09 UTC
Added missing BuildRequires: openssl-devel

Spec URL: ftp://ftp.nohats.ca/dns/validns/validns.spec
SRPM URL: ftp://ftp.nohats.ca/dns/validns/validns-0.3-2.fc16.src.rpm

Comment 2 Mattia Verga 2012-03-11 10:09:53 UTC
Taking for review.

Comment 3 Mattia Verga 2012-03-11 10:20:44 UTC
- rpmlint checks return:
validns.x86_64: W: spelling-error Summary(en_US) validator -> lavatorial
validns.x86_64: W: spelling-error %description -l en_US validator -> lavatorial
validns.x86_64: W: no-manual-page-for-binary validns
validns.src: W: spelling-error Summary(en_US) validator -> lavatorial
validns.src: W: spelling-error %description -l en_US validator -> lavatorial
3 packages and 1 specfiles checked; 0 errors, 5 warnings.

Warnings can be ignored: OK

- naming guidelines and .spec file name: OK
- packaging guidelines: OK
- license: OK (BSD), in %doc
- spec file legible, in am. english: OK
- source matches upstream: OK
- package compiles on (i686/x86_64): OK
- Build Requires / Requires: OK
- no locales
- no libraries
- not relocatable
- no directories created
- no duplicate files
- file permissions: OK
- macros: OK
- code/content: OK
- no need for -docs
- nothing in %doc affects runtime
- no headers / no need for -devel
- no .desktop file
- ownership: OK
- filenames: OK

koji test build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3881133

For me is APPROVED

Comment 4 Paul Wouters 2012-03-25 17:09:17 UTC
New Package SCM Request
=======================
Package Name: validns
Short Description: DNS and DNSSEC zone file validator
Owners: pwouters
Branches: f16 f17 el5 el6
InitialCC:

Comment 5 Paul Wouters 2012-03-25 17:19:09 UTC
Thanks Mattia!

Comment 6 Gwyn Ciesla 2012-03-26 12:21:33 UTC
Summary and SCM request package names don't match, please correct.

Comment 7 Paul Wouters 2012-03-26 17:09:17 UTC
Fixed title of the bug here....

Comment 8 Gwyn Ciesla 2012-03-26 17:23:06 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-03-26 23:20:11 UTC
validns-0.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/validns-0.3-2.fc17

Comment 10 Fedora Update System 2012-03-26 23:28:04 UTC
validns-0.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/validns-0.3-2.fc16

Comment 11 Fedora Update System 2012-03-26 23:28:48 UTC
validns-0.3-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/validns-0.3-2.el5

Comment 12 Fedora Update System 2012-03-26 23:29:29 UTC
validns-0.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/validns-0.3-2.el6

Comment 13 Fedora Update System 2012-03-28 04:55:46 UTC
validns-0.3-2.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 14 Fedora Update System 2012-04-09 01:58:27 UTC
validns-0.3-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2012-04-12 01:59:04 UTC
validns-0.3-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 16 Fedora Update System 2012-04-12 05:57:36 UTC
validns-0.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Fedora Update System 2012-04-12 05:58:37 UTC
validns-0.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.